Package uk.ac.starlink.topcat.interop

# Interface SpectrumActivity

All Superinterfaces:
  `Activity`

public interface SpectrumActivity extends Activity
Activity for sending a spectrum to load.

Since:
  5 Oct 2009
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`displaySpectrum(String location, Map<?,?> metadata)`
Sends a message to load a spectrum.

### Methods inherited from interface uk.ac.starlink.topcat.interop.Activity

`getTargetSelector`

## Method Details

### displaySpectrum

void displaySpectrum(String location, Map<?,?> metadata) throws IOException
Sends a message to load a spectrum.

Parameters:
  `location` - URL of spectrum
  `metadata` - ucd/utype->value map giving spectrum metadata
Throws:
  `IOException`